automation-cloud
latest
false
UiPath logo, featuring letters U and I in white

Automation Cloud-API-Handbuch

Letzte Aktualisierung 20. März 2026

Get Groups Rules with Quotas

Retrieves the list of users who have acquired licenses from a specific group. Requires an external application with the OrganizationAdmin or LicenseRead policy.

API-Endpunkt

GET https://cloud.uipath.com/{organizationName}/lease_/api/account/{organizationId}/user-license/groups/with-quota

Anforderungsheader

--header 'Authorization: Bearer {access_token}'--header 'Authorization: Bearer {access_token}'

Pfadparameter

PfadparameterDatentypBeschreibung

organizationId

(erforderlich)

GUIDDie ID der Organisation, in der sich Ihr Mandant befindet.

Abfrageparameter

All query parameters are optional and used for pagination.

ParameterTypBeschreibung
skipIntegerOffset in results list.
topIntegerNumber of results to return. Maximum: 50.
sortByStringField name for ordering. Use UpperCamelCase C# property names.
sortOrderStringSet direction. Accepted values: asc, desc.

Antworten

200 OK - returns the license rules and quota configuration for all groups.
404 - organization does not exist.
{
  "results": [
    {
      "groupRule": {
        "id": "guid",
        "name": "string",
        "userBundleLicenses": ["string"],
        "userBundleLeases": { "bundleCode": 0 },
        "useExternalLicense": true,
        "orphan": false,
        "userLicenseBundlesUnavailable": ["string"]
      },
      "quotas": [
        {
          "userBundleCode": "string",
          "limit": 0.0,
          "currentUsage": 0
        }
      ]
    }
  ],
  "totalCount": 0
}{
  "results": [
    {
      "groupRule": {
        "id": "guid",
        "name": "string",
        "userBundleLicenses": ["string"],
        "userBundleLeases": { "bundleCode": 0 },
        "useExternalLicense": true,
        "orphan": false,
        "userLicenseBundlesUnavailable": ["string"]
      },
      "quotas": [
        {
          "userBundleCode": "string",
          "limit": 0.0,
          "currentUsage": 0
        }
      ]
    }
  ],
  "totalCount": 0
}

Beispielanforderung

curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer {access_token}'curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer {access_token}'

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben